Skip to main content
GET
/
v3
/
settlement
/
{id}
/
transactions
/
payout
Fetch Payouts
curl --request GET \
  --url https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/payout \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/payout"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "",
  "data": {
    "has_more": false,
    "object": "list",
    "result": [
      {
        "balance_transaction_id": "btr_46294287492",
        "id": "pot_coai2bk30hnb6csf6500"
      },
      {
        "balance_transaction_id": "btr_39833583hahfai",
        "id": "pot_coai1ms30hnb6csf64m0"
      },
      {
        "balance_transaction_id": "btr_8h9ruwfiafba",
        "id": "pot_coahtnc30hnb6csf62o0"
      },
      {
        "balance_transaction_id": "btr_3984hrhfwfwf",
        "id": "pot_coahrt430hnb6csf61n0"
      },
      {
        "balance_transaction_id": "btr_98hf89h9rhh",
        "id": "pot_coahpt430hnb6csf60vg"
      },
      {
        "balance_transaction_id": "btr_398th3hht3t983th",
        "id": "pot_coahosk30hnb6csf606g"
      },
      {
        "balance_transaction_id": "btr_8934hub3iutb3",
        "id": "pot_coahn2c30hnb6csf5v1g"
      },
      {
        "balance_transaction_id": "btr_384ht3ht3ht3th",
        "id": "pot_coajfkc30hnb6csf72qg"
      }
    ]
  }
}
"{}"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the settlement you want to fetch the list of payouts for

Query Parameters

ending_before
string

A cursor for use in pagination. Takes a payout ID as input

starting_after
string

A cursor for use in pagination. Takes a payout ID as input

limit
integer<int32>

The number of payouts to be fetched. By default 10, can be from 1 to 100

Response

200

status
string
message
string
data
object